PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
plask::RectilinearMesh3D::Elements Struct Reference

Wrapper to Rectilinear which allow to access to FEM-like elements. More...

`#include <plask/mesh/rectilinear3d.hpp>`

Collaboration diagram for plask::RectilinearMesh3D::Elements:
[legend]

## Public Types
typedef IndexedIterator< const RectilinearMesh3D, Element, deref > | const_iterator
typedef const_iterator | iterator

## Public Member Functions
| Elements (const RectilinearMesh3D *mesh)
| Create wrapper which allow to access to FEM-like elements of given `mesh`.
Element | operator[] (std::size_t i) const
| Get `i-th` element.
Element | operator() (std::size_t i0, std::size_t i1, std::size_t i2) const
| Get element with indices `i0`, `i1`, and `i2`.
std::size_t | size () const
| Get number of elements.
const_iterator | begin () const
const_iterator | end () const

## Static Public Member Functions
static Element | deref (const RectilinearMesh3D &mesh, std::size_t index)

## Public Attributes
const RectilinearMesh3D * | mesh
| Mesh which elements will be accessible by this.

## Detailed Description

Wrapper to Rectilinear which allow to access to FEM-like elements.

It works like read-only, random access container of Element objects.

Definition at line 216 of file rectilinear3d.hpp.

## Member Typedef Documentation

## ◆ const_iterator

typedef IndexedIterator<const RectilinearMesh3D, Element, deref> plask::RectilinearMesh3D::Elements::const_iterator

Definition at line 220 of file rectilinear3d.hpp.

## ◆ iterator

typedef const_iterator plask::RectilinearMesh3D::Elements::iterator

Definition at line 221 of file rectilinear3d.hpp.

## Constructor & Destructor Documentation

## ◆ Elements()

plask::RectilinearMesh3D::Elements::Elements | ( | const RectilinearMesh3D * | mesh | ) |
| inline

Create wrapper which allow to access to FEM-like elements of given `mesh`.

Parameters

  mesh | mesh which elements will be accessible by this

Definition at line 230 of file rectilinear3d.hpp.

## Member Function Documentation

## ◆ begin()

const_iterator plask::RectilinearMesh3D::Elements::begin | ( |  | ) | const
| inline

Returns
  iterator referring to the first element

Definition at line 253 of file rectilinear3d.hpp.

## ◆ deref()

static Element plask::RectilinearMesh3D::Elements::deref | ( | const RectilinearMesh3D & | mesh,
|  | std::size_t | index
| ) |  |
| inline static

Definition at line 218 of file rectilinear3d.hpp.

## ◆ end()

const_iterator plask::RectilinearMesh3D::Elements::end | ( |  | ) | const
| inline

Returns
  iterator referring to the past-the-end element

Definition at line 256 of file rectilinear3d.hpp.

## ◆ operator()()

Element plask::RectilinearMesh3D::Elements::operator() | ( | std::size_t | i0,
|  | std::size_t | i1,
|  | std::size_t | i2
| ) |  | const
| inline

Get element with indices `i0`, `i1`, and `i2`.

Parameters

  i0,i1,i2 | element index

Returns
  element with indices `i0`, `i1`, and `i2`

Definition at line 244 of file rectilinear3d.hpp.

## ◆ operator[]()

Element plask::RectilinearMesh3D::Elements::operator[] | ( | std::size_t | i | ) | const
| inline

Get `i-th` element.

Parameters

  i | element index

Returns
  `i-th` element

Definition at line 237 of file rectilinear3d.hpp.

## ◆ size()

std::size_t plask::RectilinearMesh3D::Elements::size | ( |  | ) | const
| inline

Get number of elements.

Returns
  number of elements

Definition at line 250 of file rectilinear3d.hpp.

## Member Data Documentation

## ◆ mesh

const RectilinearMesh3D* plask::RectilinearMesh3D::Elements::mesh

Mesh which elements will be accessible by this.

Definition at line 224 of file rectilinear3d.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/rectilinear3d.hpp